﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RedCritterConnecter.Samples;

namespace GetUserLeaderboardSample
{
    public partial class Form1 : Form
    {
        private GetUserLeaderboard GetUserLeaderboard = new GetUserLeaderboard();

        public Form1()
        {
            InitializeComponent();
          
            GetUserLeaderboard.onGetUserLeaderboardResponse += GetUserLeaderboard_onGetUserLeaderboardResponse;
            GetUserLeaderboard.onGetUserLeaderboardResponseError += GetUserLeaderboard_onGetUserLeaderboardResponseError;
        }

        private void bGetUserLeaderboard_Click(object sender, EventArgs e)
        {
          
            GetUserLeaderboard.Execute(tSecretKey.Text, tUserLeaderboard.Text);
        }

        void GetUserLeaderboard_onGetUserLeaderboardResponseError(GetUserLeaderboardResponse GetUserLeaderboardResponse)
        {
            lResult.Text = "GetUserLeaderboard call failed";
        }

        void GetUserLeaderboard_onGetUserLeaderboardResponse(GetUserLeaderboardResponse GetUserLeaderboardResponse)
        {
            lResult.Text = "GetUserLeaderboard call was successfully submitted";

            for (int i = 0; i < GetUserLeaderboardResponse.Users.Count; i++)
            {
                txtRewardName.Text += "Email = " + GetUserLeaderboardResponse.Users[i].Email;
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "Username = " + GetUserLeaderboardResponse.Users[i].Username;
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "FirstName = " + GetUserLeaderboardResponse.Users[i].FirstName;
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "LastName = " + GetUserLeaderboardResponse.Users[i].LastName;
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "Points = " + GetUserLeaderboardResponse.Users[i].Points.ToString();
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "Rank = " + GetUserLeaderboardResponse.Users[i].Rank.ToString();
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "\r\n";
            }

            
        }



    }
}
